Last Comment Bug 450909 - missing support for AIX target in configure.in
: missing support for AIX target in configure.in
Status: RESOLVED FIXED
: fixed1.9.0.4, verified1.8.1.18
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: Other AIX
: -- normal (vote)
: mozilla1.9.1b2
Assigned To: Uli Link (:ul-mcamafia)
:
Mentors:
: 332075 (view as bug list)
Depends on:
Blocks: 332075
  Show dependency treegraph
 
Reported: 2008-08-16 15:53 PDT by Uli Link (:ul-mcamafia)
Modified: 2008-10-26 01:02 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fixes CPU_ARCH for RS/6000 w/o powerpc CPU also (1.92 KB, patch)
2008-08-16 16:06 PDT, Uli Link (:ul-mcamafia)
no flags Details | Diff | Splinter Review
Clear out MOZ_FIX_LINK_PATHS (715 bytes, patch)
2008-08-17 01:44 PDT, Uli Link (:ul-mcamafia)
no flags Details | Diff | Splinter Review
[checked in on 1.8] clear MOZ_FIX_LINK_PATH + set XPCOMABI on AIX MOZILLA_1_8_BRANCH (2.01 KB, patch)
2008-08-17 07:30 PDT, Uli Link (:ul-mcamafia)
cls: review+
dveditz: approval1.8.1.18+
Details | Diff | Splinter Review
set XPCOMABI on AIX and raise minimum compiler version CVS HEAD (2.32 KB, patch)
2008-08-17 08:08 PDT, Uli Link (:ul-mcamafia)
cls: review+
dveditz: approval1.9.0.4+
Details | Diff | Splinter Review

Description Uli Link (:ul-mcamafia) 2008-08-16 15:53:03 PDT
User-Agent:       Mozilla/5.0 (X11; U; AIX 5.1; en-US; rv:1.8.1.16) Gecko/20080806 Firefox/2.0.0.16
Build Identifier: 

Issuing the following javascript command in the javascript console results in
error NS_ERROR_NOT_AVAILABLE:

Components.classes["@mozilla.org/xre/app-info;1"].getService(Components.interfaces.nsIXULRuntime).XPCOMABI


Reproducible: Always

Steps to Reproduce:
1. configure the source on AIX 4.3.3 or
2. use a machine with POWER or POWER2 cpu which configures ${target_cpu} to rs6000 instead of powerpc
3.
Actual Results:  
XPCOMABI is not set if any of both applies

Expected Results:  
XPCOMABI is set to ppc-ibmc

Follow-up fix of bug 323997
Comment 1 Uli Link (:ul-mcamafia) 2008-08-16 16:06:08 PDT
Created attachment 334124 [details] [diff] [review]
fixes CPU_ARCH for RS/6000 w/o powerpc CPU also
Comment 2 Uli Link (:ul-mcamafia) 2008-08-16 16:09:49 PDT
review by cls under bug 323997
Comment 3 Uli Link (:ul-mcamafia) 2008-08-16 16:17:52 PDT
Comment on attachment 334124 [details] [diff] [review]
fixes CPU_ARCH for RS/6000 w/o powerpc CPU also

approval for MOZILLA_1_8_BRANCH is wanted after at least two weeks on trunk
Comment 4 Uli Link (:ul-mcamafia) 2008-08-17 01:44:15 PDT
Created attachment 334150 [details] [diff] [review]
Clear out MOZ_FIX_LINK_PATHS

requesting review for jag's Patch of bug 332075
Comment 5 Uli Link (:ul-mcamafia) 2008-08-17 02:04:08 PDT
Comment on attachment 334150 [details] [diff] [review]
Clear out MOZ_FIX_LINK_PATHS

the AIX linker has no equivalent to -Wl,-rpath-link

symbols are resolved at link-time by the linker in order of the given -L and -l flags on the commandline. With -blibpath: flag the -L directories are not linkedited into the binary and the lib searchpath is only the path given by -blibpath: + any directories in LIBPATH environment variable. LIBPATH is set  in run-mozilla.sh

Since the AIX port isn't supported with GCC, and even with GCC better use native ld on AIX.
So clearing MOZ_FIX_LINK_PATH for AIX is needed.
Comment 6 Uli Link (:ul-mcamafia) 2008-08-17 07:30:43 PDT
Created attachment 334172 [details] [diff] [review]
[checked in on 1.8] clear MOZ_FIX_LINK_PATH + set XPCOMABI on AIX MOZILLA_1_8_BRANCH

Merged both fixes into one for branch MOZILLA_1_8_BRANCH only
The resulting "configure" generates (objdir)config/autoconf.mk verified ok on AIX.
HEAD still contains the MOZ_FIX_LINK_PATH fix bug 323997 for more than 2 years.

The pythonized configure seems to need a slightly different patch, as it is broken on AIX by now.
Comment 7 Uli Link (:ul-mcamafia) 2008-08-17 08:08:12 PDT
Created attachment 334174 [details] [diff] [review]
set XPCOMABI on AIX and raise minimum compiler version CVS HEAD

For 1.9 branch the VisualAge 5.0.2 not sufficiant any longer, as starting with VisualAge 6  the C compiler supports the C99 language level, which is heavily used in gfx.
The MOZ_FIX_LINK_PATH bug 323997 fix has still landed on 1.9
TARGET_CPU for XPCOMABI is set just like the patch for 1.8 branch
Comment 8 Uli Link (:ul-mcamafia) 2008-08-18 11:58:18 PDT
Comment on attachment 334172 [details] [diff] [review]
[checked in on 1.8] clear MOZ_FIX_LINK_PATH + set XPCOMABI on AIX MOZILLA_1_8_BRANCH

Patch does not affect any platform except AIX.

For AIX I have tested this patch with the releases of FIREFOX_2_0_0_16_RELEASE, THUNDERBIRD_2_0_0_16_RELEASE,
SEAMONKEY_1_1_11_RELEASE
and yesterday on MOZILLA_1_8_BRANCH successfully
Comment 9 Uli Link (:ul-mcamafia) 2008-08-18 12:36:47 PDT
Comment on attachment 334174 [details] [diff] [review]
set XPCOMABI on AIX and raise minimum compiler version CVS HEAD

This one should go the usual way: first on trunk and perhaps later back to 1.9.0 branch. 
Isn't urgent as there is still no successful AIX build of trunk now and in the next few weeks.
Comment 10 Uli Link (:ul-mcamafia) 2008-08-18 12:41:01 PDT
*** Bug 332075 has been marked as a duplicate of this bug. ***
Comment 11 Daniel Veditz [:dveditz] 2008-08-20 15:18:15 PDT
Comment on attachment 334172 [details] [diff] [review]
[checked in on 1.8] clear MOZ_FIX_LINK_PATH + set XPCOMABI on AIX MOZILLA_1_8_BRANCH

Approved for 1.8.1.17, a=dveditz for release-drivers.

But code-freeze is coming up and you're not around so this might actually have to wait until the next release.
Comment 12 Uli Link (:ul-mcamafia) 2008-08-20 20:55:20 PDT
(In reply to comment #11)
> (From update of attachment 334172 [details] [diff] [review])
> Approved for 1.8.1.17, a=dveditz for release-drivers.
> 
> But code-freeze is coming up and you're not around so this might actually have
> to wait until the next release.
> 

I will release my Firefox for AIX builds with this patch applied on my local build  machine when I'm back. 
I would prefer it in 1.8.1.18, so I'm on hook when checked-in.
Comment 13 Samuel Sidler (old account; do not CC) 2008-08-25 02:12:51 PDT
Comment on attachment 334172 [details] [diff] [review]
[checked in on 1.8] clear MOZ_FIX_LINK_PATH + set XPCOMABI on AIX MOZILLA_1_8_BRANCH

Alright, just request approval when the flag appears in a week or two.
Comment 14 Uli Link (:ul-mcamafia) 2008-09-05 02:54:21 PDT
Requesting branch approval for attachment 334172 [details] [diff] [review] for 1.8.1.18

I have built rc2 of FIREFOX 2.0.0.17 and SEAMONKEY 1.1.12 on AIX 4.3.3 and AIX 5.1 with the patch locally applied. All works like expected. No other platforms except AIX are affected by this patch.
Comment 15 Daniel Veditz [:dveditz] 2008-09-05 11:31:30 PDT
not blocking but we'll look at the approval requests when the tree reopens.
Comment 16 Uli Link (:ul-mcamafia) 2008-09-07 05:44:56 PDT
Requesting branch approval for attachment 334174 [details] [diff] [review] for 1.9.0.3
Comment 17 Daniel Veditz [:dveditz] 2008-09-22 11:36:25 PDT
Comment on attachment 334172 [details] [diff] [review]
[checked in on 1.8] clear MOZ_FIX_LINK_PATH + set XPCOMABI on AIX MOZILLA_1_8_BRANCH

Approved for 1.8.1.18, a=dveditz for release-drivers
Comment 18 Daniel Veditz [:dveditz] 2008-09-22 11:36:52 PDT
Comment on attachment 334174 [details] [diff] [review]
set XPCOMABI on AIX and raise minimum compiler version CVS HEAD

Approved for 1.9.0.3, a=dveditz for release-drivers
Comment 19 Magnus Melin 2008-10-19 09:15:18 PDT
Comment on attachment 334172 [details] [diff] [review]
[checked in on 1.8] clear MOZ_FIX_LINK_PATH + set XPCOMABI on AIX MOZILLA_1_8_BRANCH

MOZILLA_1_8_BRANCH: Checking in configure.in;
/cvsroot/mozilla/configure.in,v  <--  configure.in
new revision: 1.1503.2.112; previous revision: 1.1503.2.111
done
Comment 20 Uli Link (:ul-mcamafia) 2008-10-20 00:31:50 PDT
Change Version to 1.9.0 branch after checkin to branch 1.8
Comment 21 Reed Loden [:reed] (use needinfo?) 2008-10-20 19:10:27 PDT
CVS HEAD:

Checking in configure.in;
/cvsroot/mozilla/configure.in,v  <--  configure.in
new revision: 1.1999; previous revision: 1.1998
done
Comment 22 Reed Loden [:reed] (use needinfo?) 2008-10-20 19:26:47 PDT
http://hg.mozilla.org/mozilla-central/rev/e91993a18426

Note You need to log in before you can comment on or make changes to this bug.